image: ubuntu:22.04

stages:
  - test

test_mongors:
  stage: test
  services:
    - name: registry.gitlab.com/sunnyatticsoftware/sandbox/mongo-rs
      alias: mongors
  variables:
    # MongoDB
    HOST: "mongors"
    DELAY_INITIATE: "50"
  before_script:
    - apt-get update
    - apt-get install -y curl
    - apt-get install -y gnupg
    - apt-get install -y dnsutils
    - MONGORS_ALIAS="mongors"
    - MONGORS_IP_ADDRESS=$(getent hosts $MONGORS_ALIAS | awk '{ print $1 }')
    - echo "$MONGORS_IP_ADDRESS  $MONGORS_ALIAS" >> /etc/hosts
    - echo "MongoDB IP $MONGORS_IP_ADDRESS added"
    - cat /etc/hosts
    - curl -fsSL https://www.mongodb.org/static/pgp/server-6.0.asc | tee /etc/apt/trusted.gpg.d/mongodb.asc > /dev/null
    - echo "deb [ arch=amd64,arm64 ] https://repo.mongodb.org/apt/ubuntu jammy/mongodb-org/6.0 multiverse" | tee /etc/apt/sources.list.d/mongodb-org-6.0.list
    - apt-get update
    - apt-get install -y mongodb-mongosh
    - sleep 30
  script: |
    output=$(mongosh --host mongors:27017 --eval "db.stats()" 2>&1); if [ $? -eq 0 ]; then echo "OK"; else echo "ERROR: $output"; fi

test_mongo:
  stage: test
  services:
    - name: mongo:6.0.5-jammy
      alias: mongostandalone
  variables:
    MONGO_INITDB_ROOT_USERNAME: root
    MONGO_INITDB_ROOT_PASSWORD: dummy

  before_script:
    - apt-get update
    - apt-get install -y curl
    - apt-get install -y gnupg
    - curl -fsSL https://www.mongodb.org/static/pgp/server-6.0.asc | tee /etc/apt/trusted.gpg.d/mongodb.asc > /dev/null
    - echo "deb [ arch=amd64,arm64 ] https://repo.mongodb.org/apt/ubuntu jammy/mongodb-org/6.0 multiverse" | tee /etc/apt/sources.list.d/mongodb-org-6.0.list
    - apt-get update
    - apt-get install -y mongodb-mongosh
  script: |
    output=$(mongosh --host mongostandalone:27017 --username root --password dummy --eval "db.stats()" 2>&1); if [ $? -eq 0 ]; then echo "OK"; else echo "ERROR: $output"; fi

